List archived pipelines
curl --request GET \
--url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/pipelines/archived \
--header 'x-api-key: <api-key>'import requests
url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/pipelines/archived"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/pipelines/archived', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"pipelines": [
{
"id": 123,
"name": "<string>",
"description": "<string>",
"steps": [
{
"name": "<string>",
"filter": "<string>",
"pathFilters": [
{
"dataset": "<string>",
"filter": "<string>"
}
],
"projectId": 123,
"newProjectName": "<string>",
"projectApiKey": "<string>",
"projectHmacKey": "<string>",
"transformationBlockId": 123,
"builtinTransformationBlock": {},
"outputDatasetName": "<string>",
"outputDatasetBucketId": 123,
"outputDatasetBucketPath": "<string>",
"outputPathInDataset": "<string>",
"label": "<string>",
"transformationParallel": 123,
"extraCliArguments": "<string>",
"parameters": {}
}
],
"created": "2023-11-07T05:31:56Z",
"emailRecipientUids": [
123
],
"intervalStr": "<string>",
"nextRun": "2023-11-07T05:31:56Z",
"currentRun": {
"id": 123,
"steps": [
{
"name": "<string>",
"transformationJob": {
"id": 123,
"organizationId": 123,
"name": "<string>",
"created": "2023-11-07T05:31:56Z",
"totalDownloadFileCount": 123,
"totalDownloadFileSize": 123,
"totalDownloadFileSizeString": "<string>",
"totalUploadFileCount": 123,
"transformationParallel": 123,
"transformationSummary": {
"startedCount": 123,
"succeededCount": 123,
"finishedCount": 123,
"totalFileCount": 123,
"totalTimeSpentSeconds": 123
},
"inProgress": true,
"totalTimeSpentSeconds": 123,
"totalTimeSpentString": "<string>",
"uploadJobId": 123,
"uploadJobFilesUploaded": 123,
"projectOwner": "<string>",
"projectId": 123,
"projectName": "<string>",
"transformationBlockId": 123,
"builtinTransformationBlock": {},
"transformationBlockName": "<string>",
"outputDatasetName": "<string>",
"outputDatasetBucketId": 123,
"outputDatasetBucketPath": "<string>",
"label": "<string>",
"filterQuery": "<string>",
"emailRecipientUids": [
123
],
"pipelineId": 123,
"pipelineName": "<string>",
"pipelineRunId": 123,
"pipelineStep": 123,
"createdByUser": {
"id": 123,
"name": "<string>",
"username": "<string>",
"photo": "<string>"
}
},
"filter": "<string>",
"projectId": 123,
"newProjectName": "<string>",
"projectApiKey": "<string>",
"projectHmacKey": "<string>",
"transformationBlockId": 123,
"builtinTransformationBlock": {},
"outputDatasetName": "<string>",
"outputDatasetBucketId": 123,
"outputDatasetBucketPath": "<string>",
"label": "<string>",
"extraCliArguments": "<string>",
"parameters": {}
}
],
"created": "2023-11-07T05:31:56Z",
"finished": "2023-11-07T05:31:56Z",
"itemCountBefore": {
"itemCount": 123,
"itemCountChecklistOK": 123,
"itemCountChecklistFailed": 123
},
"itemCountAfter": {
"itemCount": 123,
"itemCountChecklistOK": 123,
"itemCountChecklistFailed": 123
},
"itemCountImportIntoProjectFailed": 123
},
"lastRun": {
"id": 123,
"steps": [
{
"name": "<string>",
"transformationJob": {
"id": 123,
"organizationId": 123,
"name": "<string>",
"created": "2023-11-07T05:31:56Z",
"totalDownloadFileCount": 123,
"totalDownloadFileSize": 123,
"totalDownloadFileSizeString": "<string>",
"totalUploadFileCount": 123,
"transformationParallel": 123,
"transformationSummary": {
"startedCount": 123,
"succeededCount": 123,
"finishedCount": 123,
"totalFileCount": 123,
"totalTimeSpentSeconds": 123
},
"inProgress": true,
"totalTimeSpentSeconds": 123,
"totalTimeSpentString": "<string>",
"uploadJobId": 123,
"uploadJobFilesUploaded": 123,
"projectOwner": "<string>",
"projectId": 123,
"projectName": "<string>",
"transformationBlockId": 123,
"builtinTransformationBlock": {},
"transformationBlockName": "<string>",
"outputDatasetName": "<string>",
"outputDatasetBucketId": 123,
"outputDatasetBucketPath": "<string>",
"label": "<string>",
"filterQuery": "<string>",
"emailRecipientUids": [
123
],
"pipelineId": 123,
"pipelineName": "<string>",
"pipelineRunId": 123,
"pipelineStep": 123,
"createdByUser": {
"id": 123,
"name": "<string>",
"username": "<string>",
"photo": "<string>"
}
},
"filter": "<string>",
"projectId": 123,
"newProjectName": "<string>",
"projectApiKey": "<string>",
"projectHmacKey": "<string>",
"transformationBlockId": 123,
"builtinTransformationBlock": {},
"outputDatasetName": "<string>",
"outputDatasetBucketId": 123,
"outputDatasetBucketPath": "<string>",
"label": "<string>",
"extraCliArguments": "<string>",
"parameters": {}
}
],
"created": "2023-11-07T05:31:56Z",
"finished": "2023-11-07T05:31:56Z",
"itemCountBefore": {
"itemCount": 123,
"itemCountChecklistOK": 123,
"itemCountChecklistFailed": 123
},
"itemCountAfter": {
"itemCount": 123,
"itemCountChecklistOK": 123,
"itemCountChecklistFailed": 123
},
"itemCountImportIntoProjectFailed": 123
},
"feedingIntoDataset": {
"dataset": "<string>",
"datasetLink": "<string>",
"itemCount": 123,
"itemCountChecklistOK": 123,
"itemCountChecklistError": 123
},
"feedingIntoProject": {
"id": 123,
"name": "<string>",
"projectLink": "<string>",
"itemCount": 123
},
"lastRunStartError": "<string>",
"notificationWebhook": "<string>"
}
],
"error": "<string>"
}List archived pipelines
Retrieve all archived organizational pipelines
GET
/
api
/
organizations
/
{organizationId}
/
pipelines
/
archived
List archived pipelines
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Organization ID
Query Parameters
If set, filters on pipelines which are attached to this project.
Was this page helpful?
⌘I